/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

/* Styling for slideshow container */
.slideshow-container {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    z-index: 0;
    top: 0;
    width: 100%;
    max-width: 100%;
    /* background: hsla(0, 0%, 0%, 0.5) url("../images/compressed/image_(4).jpg") no-repeat center; */
    /* backdrop-filter: blur(2px); */
    background-size: cover;
    background-blend-mode: overlay;
    height: 100vh;
    overflow: hidden;
    cursor: -moz-grab;
    cursor: -webkit-grab;
    cursor: grab;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    animation: show_instruction 1s linear forwards;
}

.slideshow-container:active {
    cursor: grabbing;
    cursor: -moz-grabbing;
    cursor: -webkit-grabbing;
}

.slideshow-container-video {
    position: absolute;
    z-index: -1;
    height: 100vh;
    width: 100%;
    object-fit: cover;
}

.slideshow-container .indicator_container {
    position: absolute;
    width: 100%;
    height: 50px;
    bottom: 0;
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

/* Styling for indicators */
.slideshow-container .indicator_container .indicator {
    height: 10px;
    aspect-ratio: 1 / 1;
    background-color: hsla(0, 0%, 50%, 0.5);
    /* border: 1px solid white; */
    border-radius: 50%;
    cursor: pointer;
    display: inline-block;
    bottom: 20px;
    padding: 8px;
    margin: 4px;
    -webkit-transition: background-color 0.3s;
    -o-transition: background-color 0.3s;
    transition: background-color 0.3s;
}

/* Active indicator */
.slideshow-container .indicator_container .indicator.active {
    background-color: white;
}

/**************************************************************/

.slide {
    position: absolute;
    width: 100%;
    height: 100vh;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    overflow: hidden;
}

.slide .dynamic-content {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    padding: 10%;
    top: 50px;
}

@-webkit-keyframes levitate {
    50% {
        -webkit-transform: translateY(-20px);
        transform: translateY(-20px);
    }
}

@keyframes levitate {
    50% {
        -webkit-transform: translateY(-20px);
        transform: translateY(-20px);
    }
}

@-webkit-keyframes moveUpDown {
    0% {
        -webkit-transform: translateY(100vh);
        transform: translateY(100vh);
        opacity: 0;
    }

    20% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }

    70% {
        opacity: 1;
    }

    80% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }

    100% {
        -webkit-transform: translateY(100vh);
        transform: translateY(100vh);
        opacity: 0;
    }
}

@keyframes moveUpDown {
    0% {
        -webkit-transform: translateY(100vh);
        transform: translateY(100vh);
        opacity: 0;
    }

    20% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }

    70% {
        opacity: 1;
    }

    80% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }

    100% {
        -webkit-transform: translateY(100vh);
        transform: translateY(100vh);
        opacity: 0;
    }
}

.slide .dynamic-content .product-img {
    /* -webkit-animation: moveUpDown 6s ease-in-out forwards, levitate 2s ease-in-out infinite;
    animation: moveUpDown 6s ease-in-out forwards, levitate 2s ease-in-out infinite; */
    -webkit-animation: product-detail 7s ease-in-out forwards;
    animation: product-detail 7s ease-in-out forwards;
}

.slide .dynamic-content .product-img img {
    width: 75vw;
    position: relative;
    z-index: 1;
    max-width: 500px;
    height: auto;
    aspect-ratio: 1/1;
    -o-object-fit: cover;
    object-fit: cover;
    display: block;
}

.slide .dynamic-content .product-detail {
    color: white;
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    text-align: center;
    -webkit-animation: product-detail 7s ease-in-out forwards;
    animation: product-detail 7s ease-in-out forwards;
}

@-webkit-keyframes product-detail {
    0% {
        opacity: 0;
    }

    15% {
        opacity: 1;
    }

    85% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes product-detail {
    0% {
        opacity: 0;
    }

    15% {
        opacity: 1;
    }

    85% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.slide .dynamic-content .product-detail h1 {
    /* font-size: 3rem; */
    /* font-size: 5rem; */
}

.slide .dynamic-content .product-detail p {
    font-size: 1.5rem;
}


/* Base style for diamonds */
.slide .diamond {
    display: none;
    /* disabled */
    z-index: -10;
    position: absolute;
    width: auto;
    height: 300vh;
    aspect-ratio: 1/1;
    visibility: hidden;
    background-color: rgb(255, 0, 0, 0.5);
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    border-radius: 200px;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    -webkit-transition: all 1s ease;
    -o-transition: all 1s ease;
    transition: all 1s ease;
    -webkit-animation: moveDiamond 6s ease forwards;
    animation: moveDiamond 6s ease forwards;
}

/* Adjust the colors and initial positions for each diamond */
.slide .diamond:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.slide .diamond:nth-child(2) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
    background-color: rgba(157, 255, 0, 0.5);
}

.slide .diamond:nth-child(3) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
    background-color: rgb(0, 255, 183, 0.5);
}

.slide .diamond:nth-child(4) {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
    background-color: rgb(0, 191, 255, 0.5);
}

.slide .diamond:nth-child(5) {
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;
    background-color: rgb(0, 17, 255, 0.5);
}

/* ********************************************* Mobile styles ********************************************* */

@media screen and (max-width: 500px) {

    .slide .dynamic-content .product-detail h1 {
        font-size: 1.5rem;
    }

    .slide .dynamic-content .product-detail p {
        font-size: 1rem;
    }

    .slideshow-container .indicator_container {
        /* display: none; */
        width: 100%;
        height: fit-content;
        top: 76px;
        bottom: auto;
        display: flex;
        justify-content: space-between;
    }

    .slideshow-container .indicator_container .indicator {
        height: 6px;
        width: 100%;
        background-color: hsla(0, 0%, 50%, 0.5);
        border: none;
        border-radius: 0%;
        cursor: pointer;
        display: inline-block;
        bottom: 0;
        padding: 0;
        margin: 0;
        -webkit-transition: background-color 0.3s;
        -o-transition: background-color 0.3s;
        transition: background-color 0.3s;
    }

    .slide .dynamic-content {
        top: 0;
    }


    @-webkit-keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        80% {
            left: calc((-50% - 300vh));
            opacity: 1;
        }

        20% {
            left: calc((-20% - 300vh));
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }

    @keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        80% {
            left: calc((-50% - 300vh));
            opacity: 1;
        }

        20% {
            left: calc((-20% - 300vh));
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }
}

/* ********************************************* Tablet styles ********************************************* */

@media screen and (min-width: 501px) and (max-width: 768px) {

    .slide .dynamic-content .product-detail h1 {
        font-size: 1.5rem;
    }

    .slide .dynamic-content .product-detail p {
        font-size: 1rem;
    }

    .slide .dynamic-content .product-img img {
        width: 50vw;
    }

    @-webkit-keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        20% {
            left: calc((-40% - 300vh));
        }

        80% {
            left: calc((10% - 300vh));
            opacity: 1;
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }

    @keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        20% {
            left: calc((-40% - 300vh));
        }

        80% {
            left: calc((10% - 300vh));
            opacity: 1;
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }
}

/* ********************************************* Desktop styles ********************************************* */

@media screen and (min-width: 769px) {

    .slideshow-container {
        backdrop-filter: blur(5px);
    }

    .slide .dynamic-content {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-direction: row;
        flex-direction: row;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    @-webkit-keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        20% {
            left: calc((0% - 300vh));
        }

        80% {
            left: calc((50% - 300vh));
            opacity: 1;
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }

    @keyframes moveDiamond {
        0% {
            left: calc((-120% - 300vh));
            visibility: visible;
        }

        20% {
            left: calc((0% - 300vh));
        }

        80% {
            left: calc((50% - 300vh));
            opacity: 1;
        }

        100% {
            left: 0%;
            opacity: 0;
            visibility: hidden;
        }
    }
}